Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configurator
Interface IPlatformConfigurationFactory

public interface IPlatformConfigurationFactory

Factory for creating platform configurations.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`IPlatformConfiguration` | `getCurrentPlatformConfiguration()` Returns the current platform configuration.
`IPlatformConfiguration` | `getPlatformConfiguration(URL url)` Returns a platform configuration object, optionally initialized with previously saved configuration information.

Method Detail

### getCurrentPlatformConfiguration

    public IPlatformConfiguration getCurrentPlatformConfiguration()

  Returns the current platform configuration.

  Returns:
    platform configuration used in current instance of platform

### getPlatformConfiguration

    public IPlatformConfiguration getPlatformConfiguration(URL url)
                                                    throws IOException

  Returns a platform configuration object, optionally initialized with previously saved configuration information.

  Parameters:
    `url` - location of previously save configuration information. If `null` is specified, an empty configuration object is returned
  Returns:
    platform configuration used in current instance of platform
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.